Package org.apache.qpid.proton.amqp.messaging

# Class Properties

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Properties

All Implemented Interfaces:
  `Section`

public final class Properties extends Object implements Section

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.amqp.messaging.Section

`Section.SectionType`

## Constructor Summary

Constructors
Constructor
Description
`Properties()`
`Properties(Properties other)`

## Method Summary

Modifier and Type
Method
Description
`Date`
`getAbsoluteExpiryTime()`
`Symbol`
`getContentEncoding()`
`Symbol`
`getContentType()`
`Object`
`getCorrelationId()`
`Date`
`getCreationTime()`
`String`
`getGroupId()`
`UnsignedInteger`
`getGroupSequence()`
`Object`
`getMessageId()`
`String`
`getReplyTo()`
`String`
`getReplyToGroupId()`
`String`
`getSubject()`
`String`
`getTo()`
`Section.SectionType`
`getType()`
`Binary`
`getUserId()`
`void`
`setAbsoluteExpiryTime(Date absoluteExpiryTime)`
`void`
`setContentEncoding(Symbol contentEncoding)`
`void`
`setContentType(Symbol contentType)`
`void`
`setCorrelationId(Object correlationId)`
`void`
`setCreationTime(Date creationTime)`
`void`
`setGroupId(String groupId)`
`void`
`setGroupSequence(UnsignedInteger groupSequence)`
`void`
`setMessageId(Object messageId)`
`void`
`setReplyTo(String replyTo)`
`void`
`setReplyToGroupId(String replyToGroupId)`
`void`
`setSubject(String subject)`
`void`
`setTo(String to)`
`void`
`setUserId(Binary userId)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Properties

public Properties()

### Properties

public Properties(Properties other)

## Method Details

### getMessageId

public Object getMessageId()

### setMessageId

public void setMessageId(Object messageId)

### getUserId

public Binary getUserId()

### setUserId

public void setUserId(Binary userId)

### getTo

public String getTo()

### setTo

public void setTo(String to)

### getSubject

public String getSubject()

### setSubject

public void setSubject(String subject)

### getReplyTo

public String getReplyTo()

### setReplyTo

public void setReplyTo(String replyTo)

### getCorrelationId

public Object getCorrelationId()

### setCorrelationId

public void setCorrelationId(Object correlationId)

### getContentType

public Symbol getContentType()

### setContentType

public void setContentType(Symbol contentType)

### getContentEncoding

public Symbol getContentEncoding()

### setContentEncoding

public void setContentEncoding(Symbol contentEncoding)

### getAbsoluteExpiryTime

public Date getAbsoluteExpiryTime()

### setAbsoluteExpiryTime

public void setAbsoluteExpiryTime(Date absoluteExpiryTime)

### getCreationTime

public Date getCreationTime()

### setCreationTime

public void setCreationTime(Date creationTime)

### getGroupId

public String getGroupId()

### setGroupId

public void setGroupId(String groupId)

### getGroupSequence

public UnsignedInteger getGroupSequence()

### setGroupSequence

public void setGroupSequence(UnsignedInteger groupSequence)

### getReplyToGroupId

public String getReplyToGroupId()

### setReplyToGroupId

public void setReplyToGroupId(String replyToGroupId)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getType

public Section.SectionType getType()

Specified by:
  `getType` in interface `Section`
Returns:
  the `Section.SectionType` that describes this instance.